WhitespaceOrCaseInsensitiveLetterState (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.parser.WhitespaceOrCaseInsensitiveLetterState class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.parser
Class WhitespaceOrCaseInsensitiveLetterState

    java.lang.Object
      net.sf.antcontrib.cpptasks.parser.AbstractParserState
          net.sf.antcontrib.cpptasks.parser.WhitespaceOrCaseInsensitiveLetterState

    public final class WhitespaceOrCaseInsensitiveLetterState

extends AbstractParserState

This parser state checks consumed characters against a specific character (case insensitive) or whitespace.

Author:
  Curt Arnold

Constructor Summary
`WhitespaceOrCaseInsensitiveLetterState(AbstractParser parser, char matchLetter, AbstractParserState nextStateArg)` Constructor.

Method Summary
`AbstractParserState` | `consume(char ch)` Consumes a character and returns the next state for the parser.

Methods inherited from class net.sf.antcontrib.cpptasks.parser.AbstractParserState
`getParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhitespaceOrCaseInsensitiveLetterState

    public WhitespaceOrCaseInsensitiveLetterState(AbstractParser parser,
                                                  char matchLetter,
                                                  AbstractParserState nextStateArg)

  Constructor.

  Parameters:
    `parser` - parser
    `matchLetter` - letter to match
    `nextStateArg` - next state if a match on the letter

Method Detail

### consume

    public AbstractParserState consume(char ch)

  Consumes a character and returns the next state for the parser.

  Specified by:
    `consume` in class `AbstractParserState`
  Parameters:
    `ch` - next character
  Returns:
    the configured nextState if ch is the expected character or the configure noMatchState otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.